#
# spec file for package ryzenadj
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ryzenadj
Version:        0.17.0
Release:        1.1
Summary:        Settings manager for mobile AMD Ryzen processors
License:        GPL-3.0-or-later
URL:            https://github.com/FlyGoat/RyzenAdj
Source0:        https://github.com/FlyGoat/RyzenAdj/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libpci)
ExclusiveArch:  %ix86 x86_64

%description
RyzenAdj is a settings manager for mobile AMD Ryzen processors.

%prep
%autosetup -p1 -n RyzenAdj-%{version}

%build
%cmake
%cmake_build

%install
install -D -m0755 build/%{name} %{buildroot}%{_bindir}/%{name}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Wed May 28 2025 RN <R_Nik_C@proton.me>
- update to 0.17.0:
  * Various API improvements
  * Add support for Strix Halo CPUs (gh#FlyGoat/RyzenAdj#334)
  * Add full support for ryzen_smu Linux kernel module, making
    `/dev/mem` and libpci optional (gh#FlyGoat/RyzenAdj#341)
  * Add support for krackan (gh#FlyGoat/RyzenAdj#343)
  * refactor, fix and clean up (gh#FlyGoat/RyzenAdj#345)
* Wed Sep 18 2024 RN <R_Nik_C@proton.me>
- update to 0.16.0:
  * Cosmic improvements
  * Initial Strix Point support
* Tue Apr 16 2024 RN <R_Nik_C@proton.me>
- update to 0.15.0:
  * Hawk Point support
  * Phoenix improvements
  * General Improvements
* Wed Nov 15 2023 Dirk Müller <dmueller@suse.com>
- update to 0.14.0:
  * Improve documentation and building process
  * Mendocino and Phoenix Point support
  * Phoenix CPU improvements
* Fri Jun  2 2023 Edgar Aichinger <edogawa@aon.at>
- Update to 0.13.0:
  * Experimental Mendocino and Phoenix Point support @JamesCJ60
  * Cumulative optimizations @Peppe289
* Mon Jan  9 2023 Erefd X <zzndb001@gmail.com>
- Update to 0.12.0:
  * Rembrandt PMTable support (ryzenadj --info), thanks to @patrickschur.
  * Cumulative fixes.
* Wed Aug 10 2022 Erefd X <zzndb001@gmail.com>
- Update to 0.11.1:
  * Vangogh and Rembrandt enhancements
  * New commands from Curve Optimiser
  * Add OC related features
  * Fix cpuid for Rembrandt
* Tue Apr 12 2022 Dirk Müller <dmueller@suse.com>
- update to 0.9.0:
  * Added TDP modification support for Van Gogh and Rembrandt
* Thu Nov 25 2021 Michał Rostecki <mrostecki@suse.com>
- Update to 0.8.2:
  * Does not return with error on adjustment calls without pm table anymore
  * Fix Slow Time and STAPM Time output for Cezanne
  * Fix Core Temp reading for Dual Core CPUs.
  * Add Core Clock Boost setpoint and Core Clock busy value to output and api
  * Add workaround for fixed Zen3 STAPM limit to PowerShell
* Sun Oct 18 2020 Michał Rostecki <mrostecki@suse.com>
- Initial release
- Patch which fixes the output formatting. Submitted upstream as
  https://github.com/FlyGoat/RyzenAdj/pull/70
  * 0001-main-Use-d-instead-of-x-to-format-the-value.patch
- Patch which fixes return-type gcc errors.
  * 0002-Fix-return-type-error.patch
